GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "889ef6d0-3875-4144-a23a-6f33f3ed95db",
      "CompanyId": "bfee4060-9cdf-4ed5-9476-2becf538eef4",
      "TaskStatusTypeId": "04e27679-df19-4e96-a5a7-801751258ebe",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "0080c93e-5669-4cd1-a48a-3960b5eed24d",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "889ef6d0-3875-4144-a23a-6f33f3ed95db",
      "CompanyId": "bfee4060-9cdf-4ed5-9476-2becf538eef4",
      "TaskStatusTypeId": "04e27679-df19-4e96-a5a7-801751258ebe",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "0080c93e-5669-4cd1-a48a-3960b5eed24d",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}